%define modname pam
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A55_%{modname}.ini

Summary:	PAM integration for PHP
Name:		php-%{modname}
Version:	1.0.3
Release:	%mkrel 3.1
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/pam
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
BuildRequires:	php-devel
BuildRequires:	pam-devel
BuildRequires:	dos2unix

%description
This extension provides PAM (Pluggable Authentication Modules) integration. PAM
is a system of libraries that handle the authentication tasks of applications
and services. The library provides a stable API for applications to defer to
for authentication tasks.

%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

# attribs fix
find -type f | xargs chmod 644

# crlf fix
find -type f | xargs dos2unix

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,/%{_lib}

%make
mv modules/*.so .


%install
install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{_sysconfdir}/pam.d
install -d %{buildroot}%{_libdir}/php/extensions

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}

[pam]
pam.servicename = "%{name}";
EOF

cat > %{buildroot}%{_sysconfdir}/pam.d/%{name} <<EOF
#%PAM-1.0
auth	include	system-auth
account	include	system-auth
EOF

%files 
%doc README CREDITS package*.xml 
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/pam.d/%{name}
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}




%changelog
* Mon Dec 12 2016 tex - 1.0.3-3.1pclos2017
- rebuild

* Mon Dec 12 2016 bb <bb> 1.0.3-3pclos2017
-rebuild

* Sun Mar 13 2016 bb <bb> 1.0.3-2pclos2016
- rebuild
